csdoc2html(1)

NAME
csdoc2html - convert C# documentation into HTML

SYNOPSIS
csdoc2html [ options ] input ...

DESCRIPTION
Csdoc2html reads the supplied XML input files, and converts them into a collection of HTML files. This collection can be viewed using a standard Web browser. Specifying multiple input files is exactly the same as specifying one input file which is the concatenation of all of the files. Only one output collection is created. Csdoc2html must be invoked multiple times to convert multiple input files into multiple output collections.

OPTIONS

-o dir, --output dir
    Specify the name of the directory to write the HTML output to in multi-file mode (the default). The default is the current directory.

-o file, --output file
    Specify the name of the file to write the HTML output to in single-file mode. The default is `input.html'. If there are multiple input files, then the name of the output file is based on the name of the first input file. If the first input file is `-', then the output is written to standard output. If file is `-', then the output is written to standard output.

-fsingle-file
    Write all HTML data to a single output file, rather than splitting the data across multiple files.

-fmulti-file
    Split the HTML data across multiple output files. The file `index.html' in the output directory is the main entry point to browse the collection. This is the default.

-fframes
    Use HTML frames when writing the output data in multi-file mode. This is the default.

-fno-frames
    Do not use HTML frames when writing the output data in multi-file mode.

-fcombine-members
    Combine the documentation for type members into the same output file as the type itself. This is the default.

-fseparate-members
    Separate the documentation for type members into distinct output files.

-fnamespace-directories
    Write the contents of each namespace into a separate sub-directory. This is the default.

-fno-namespace-directories
    Write the contents of all namespaces into the primary output directory, and do not create any sub-directories.

-ftitle=title
    Specify the title to use for the collection. The default is the same as the first input filename.

-fpage-color=color
    Specify the HTML color value to use for the background of pages. The default is `#FFFFFF'.

-fdefn-color=color
    Specify the HTML color value to use for the background of type and member definitions. The default is `#C0C0C0'.

-fheader-color=color
    Specify the HTML color value to use for the background of table headers. The default is `#C0C0C0'.

--help
    Print a usage message for the csdoc2html program.

-v, --version
    Print the version of the csdoc2html program.

--  Marks the end of the command-line options, and the beginning of the input filenames. You may need to use this if your filename begins with '-'. e.g. "csdoc2html -- -input.xml". This is not needed if the input is stdin: "csdoc2html -" is perfectly valid.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
csdoc(1), csdoc2texi(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0.